Get Cash Balance Timeline
curl --request GET \
--url https://api.decodahealth.com/billing/cash-balance/timeline \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/cash-balance/timeline"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/cash-balance/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "<string>",
"date": "2023-11-07T05:31:56Z",
"cashBalance": {
"id": "<string>",
"creatorId": "<string>",
"locationId": "<string>",
"closingBalance": 123,
"balanceDiscrepancy": 123,
"createdDate": "2023-11-07T05:31:56Z",
"discrepancyAcknowledged": false,
"acknowledgedById": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"isArchived": false,
"locationName": "<string>",
"creatorName": "<string>",
"acknowledgedByName": "<string>"
},
"adjustment": {
"id": "<string>",
"locationId": "<string>",
"amount": 123,
"reason": "<string>",
"creatorId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"isArchived": false,
"creatorName": "<string>"
},
"calculatedBalance": {
"date": "2023-11-07T05:31:56Z",
"endingBalance": 123,
"startingBalance": 123,
"cashPayments": 123,
"cashRefunds": 123,
"adjustments": 123,
"locationId": "<string>",
"locationName": "<string>"
},
"paymentSummary": {
"id": "<string>",
"amount": 123,
"payerName": "<string>",
"creatorName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"paymentMedium": "<string>"
},
"refundSummary": {
"id": "<string>",
"amount": 123,
"payerName": "<string>",
"creatorName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"locationName": "<string>"
}
],
"stats": {
"totalEvents": 123,
"balanceClosures": 123,
"adjustments": 123,
"discrepancies": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing
Get Cash Balance Timeline
Get complete cash balance timeline for a location with all events aggregated.
By default (when no start_date is provided), returns the last 7 days of data for performance. The timeline will automatically include the most recent cash balance closure before the start date to ensure accurate running balance calculations.
GET
/
billing
/
cash-balance
/
timeline
Get Cash Balance Timeline
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
⌘I
